#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_SquamaRankRewardCFGData
{
	//ID
	int mID;
	//开始排名
	int mStartRank;
	//结束排名
	int mEndRank;
	//奖励道具列表，填写M_ItemCFG中的道具ID
	std::vector<int> mRewardList;
	//奖励数量
	std::vector<int> mRewardCount;
};

class Fish_SquamaRankRewardCFG
{
public:
private:
	static std::auto_ptr<Fish_SquamaRankRewardCFG> msSingleton;
public:
	int GetCount();
	const Fish_SquamaRankRewardCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_SquamaRankRewardCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_SquamaRankRewardCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_SquamaRankRewardCFGData> mMapData;
};
